stan::math::op_v_vari Class Reference

`#include <v_vari.hpp>`

Inheritance diagram for stan::math::op_v_vari:

## Public Member Functions

| op_v_vari (double f, vari *avi)
Public Member Functions inherited from stan::math::vari
| vari (double x)
| Construct a variable implementation from a value. More...
| vari (double x, bool stacked)
virtual | ~vari ()
| Throw an illegal argument exception. More...
virtual void | chain ()
| Apply the chain rule to this variable based on the variables on which it depends. More...
void | init_dependent ()
| Initialize the adjoint for this (dependent) variable to 1. More...
void | set_zero_adjoint ()
| Set the adjoint value of this variable to 0. More...

## Protected Attributes

vari * | avi_

## Additional Inherited Members

Static Public Member Functions inherited from stan::math::vari
static void * | operator new (size_t nbytes)
| Allocate memory from the underlying memory pool. More...
static void | operator delete (void *)
| Delete a pointer from the underlying memory pool. More...
Public Attributes inherited from stan::math::vari
const double | val_
| The value of this variable. More...
double | adj_
| The adjoint of this variable, which is the partial derivative of this variable with respect to the root variable. More...

## Detailed Description

Definition at line 9 of file v_vari.hpp.

## Constructor & Destructor Documentation

## op_v_vari()

stan::math::op_v_vari::op_v_vari | ( | double | f,
|  | vari * | avi
| ) |  |

inline

Definition at line 13 of file v_vari.hpp.

## Member Data Documentation

## avi_

vari* stan::math::op_v_vari::avi_

protected

Definition at line 11 of file v_vari.hpp.

The documentation for this class was generated from the following file:

- stan/math/rev/core/v_vari.hpp

[ Stan Home Page ] © 2011–2016, Stan Development Team.